## org.apache.hive.jdbc
Class HiveQueryResultSet

    java.lang.Object
      org.apache.hive.jdbc.HiveBaseResultSet
          org.apache.hive.jdbc.HiveQueryResultSet

All Implemented Interfaces:
  ResultSet, Wrapper

    public class HiveQueryResultSet

extends HiveBaseResultSet

HiveQueryResultSet.

Nested Class Summary
`static class` `HiveQueryResultSet.Builder`

Field Summary
`static org.apache.commons.logging.Log` `LOG`

Fields inherited from class org.apache.hive.jdbc.HiveBaseResultSet
`columnAttributes, columnNames, columnTypes, row, statement, warningChain, wasNull`

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`protected` `HiveQueryResultSet(HiveQueryResultSet.Builder builder)`

Method Summary
`void` `beforeFirst()` Moves the cursor before the first row of the resultset.
`void` `close()`
`int` `getFetchSize()`
`ResultSetMetaData` `getMetaData()`

`

`<T> T`

`

`getObject(int columnIndex, Class<T> type)`

`

`<T> T`

`

`getObject(String columnLabel, Class<T> type)`

`int` `getRow()`
`int` `getType()`
`boolean` `isBeforeFirst()`
`boolean` `next()` Moves the cursor down one row from its current position.
`void` `setFetchSize(int rows)`

Methods inherited from class org.apache.hive.jdbc.HiveBaseResultSet

`absolute, afterLast, cancelRowUpdates, clearWarnings, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getSchema, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isClosed, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setSchema, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

Constructor Detail

### HiveQueryResultSet

    protected HiveQueryResultSet(HiveQueryResultSet.Builder builder)
                          throws SQLException

Throws:
  `SQLException`

Method Detail

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `ResultSet`
  Overrides:
    `close` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### next

    public boolean next()
                 throws SQLException

  Moves the cursor down one row from its current position.

  Throws:
    `SQLException` - if a database access error occurs.
  See Also:
    `ResultSet.next()`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`
  Overrides:
    `getMetaData` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `ResultSet`
  Overrides:
    `setFetchSize` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### getType

    public int getType()
                throws SQLException

  Specified by:
    `getType` in interface `ResultSet`
  Overrides:
    `getType` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`
  Overrides:
    `getFetchSize` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Moves the cursor before the first row of the resultset.

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Overrides:
    `beforeFirst` in class `HiveBaseResultSet`
  Throws:
    `SQLException` - if a database access error occurs.
  See Also:
    `ResultSet.next()`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Overrides:
    `isBeforeFirst` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

### getRow

    public int getRow()
               throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`
  Overrides:
    `getRow` in class `HiveBaseResultSet`
  Throws:
    `SQLException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.